// Main.cpp

#include <iostream>
#include <opencv2/opencv.hpp>

#include "cv_lib_macro.h"

#pragma CV_LIBRARY(core)
#pragma CV_LIBRARY(imgproc)
#pragma CV_LIBRARY(highgui)

using namespace cv;
using namespace std;

int main(void)
{
	char *window_input = "input";
	namedWindow(window_input, CV_WINDOW_AUTOSIZE);

	char *window_output = "output";
	namedWindow(window_output, CV_WINDOW_AUTOSIZE);

	VideoCapture cap;
	cap.open(0);
	if (!cap.isOpened()) {
		cerr << "cannot find camera" << endl;
		return -1;
	}

	while (1) {
		Mat frame;
		cap >> frame;
		Mat gray;
		cvtColor(frame, gray, CV_BGR2GRAY);

		imshow(window_input, frame);
		imshow(window_output, gray);

		int key = waitKey(10);
		if (key == 3 || key == 27 || key == 'q') {
			break;
		}
	}

	return 0;
}
